# persistence.xml Editor

The persistence.xml Editor provides an interface that enables you to update the `persistence.xml` file. For projects using the EclipseLink platform, the `perisistence.xml` Editor consists of the following pages:

- General

- Connection

- Customization

- Caching

- Logging

- Options

- Schema Generation

- Properties

- Source

For projects using the Generic platform, the following subset of these pages is available:

- General

- Connection

- Properties

- Source